Bug 6560 - winbind cannot handle upn, including 3.2 and 3.3
winbind cannot handle upn, including 3.2 and 3.3
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Winbind
3.2.7
Other Linux
: P3 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-17 09:31 UTC by boyang
Modified: 2009-07-27 05:11 UTC (History)
0 users

See Also:
yyyeer.bo: review? (jmcd)


Attachments
patch for 3.2 (2.81 KB, patch)
2009-07-17 09:33 UTC, boyang
vl: review+
Details
patch for 3.3 (2.37 KB, patch)
2009-07-17 09:34 UTC, boyang
vl: review+
Details
for 3.4 (2.36 KB, text/x-patch)
2009-07-22 21:28 UTC, boyang
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description boyang 2009-07-17 09:31:58 UTC
upn doesn't work properly, lookupname failed, cannot find domain when attempt to change password.
Comment 1 boyang 2009-07-17 09:33:06 UTC
Created attachment 4437 [details]
patch for 3.2
Comment 2 boyang 2009-07-17 09:34:26 UTC
Created attachment 4438 [details]
patch for 3.3

@Karolin:
   Could you please add this to 3.2 and 3.3 to make upn work. :-)
   thx!
Comment 3 Karolin Seeger 2009-07-18 00:59:23 UTC
Volker, would you review the patches (or re-assign the bug to someone else), please? Thanks
Comment 4 Volker Lendecke 2009-07-19 19:25:17 UTC
Comment on attachment 4437 [details]
patch for 3.2

Looks correct to me, although I haven't tested it. Bo, next time I'd prefer to have an a bit more elaborate checkin message.

Thanks,

Volker
Comment 5 boyang 2009-07-22 21:09:33 UTC
(In reply to comment #4)
> (From update of attachment 4437 [details])
> Looks correct to me, although I haven't tested it. Bo, next time I'd prefer to
> have an a bit more elaborate checkin message.

Yep. I will from now on. :-) Thanks for reviewing it.
> 
> Thanks,
> 
> Volker
> 

Comment 6 boyang 2009-07-22 21:28:44 UTC
Created attachment 4459 [details]
for 3.4

Sorry for forgetting 3.4..

Always forgetting things...
Comment 7 Volker Lendecke 2009-07-24 07:47:37 UTC
Comment on attachment 4459 [details]
for 3.4

Something that I just found for the 3.4 patch: Isn't that a memleak in winbind_upn_to_username? Where is "name" talloc_free()ed?

Volker
Comment 8 boyang 2009-07-24 12:36:55 UTC
(In reply to comment #7)
> (From update of attachment 4459 [details])
> Something that I just found for the 3.4 patch: Isn't that a memleak in
> winbind_upn_to_username? Where is "name" talloc_free()ed?
It is freed in pam_sm_authentication(), when we call TALLOC_FREE(ctx), it is freed.
> 
> Volker
> 

Comment 9 Karolin Seeger 2009-07-27 05:11:15 UTC
Pushed to all branches.
Closing out bug report.

Thanks!